scala.tools.nsc.ast.parser.MarkupParsers

# TruncatedXMLControl

#### object TruncatedXMLControl extends Throwable with ControlThrowable with Product with Serializable

Source
  MarkupParsers.scala

Linear Supertypes
Serializable, Product, Equals, ControlThrowable, NoStackTrace, java.lang.Throwable, java.io.Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TruncatedXMLControl
2. Serializable
3. Product
4. Equals
5. ControlThrowable
6. NoStackTrace
7. Throwable
8. Serializable
9. AnyRef
10. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def fillInStackTrace(): Throwable

   Definition Classes
     NoStackTrace → Throwable

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### def getCause(): java.lang.Throwable

    Definition Classes
      Throwable

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def getLocalizedMessage(): String

    Definition Classes
      Throwable

13. #### def getMessage(): String

    Definition Classes
      TruncatedXMLControl → Throwable

14. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Throwable

15. #### def initCause(arg0: java.lang.Throwable): java.lang.Throwable

    Definition Classes
      Throwable

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def printStackTrace(arg0: PrintWriter): Unit

    Definition Classes
      Throwable

21. #### def printStackTrace(arg0: PrintStream): Unit

    Definition Classes
      Throwable

22. #### def printStackTrace(): Unit

    Definition Classes
      Throwable

23. #### def setStackTrace(arg0: Array[StackTraceElement]): Unit

    Definition Classes
      Throwable

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      Throwable → AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ControlThrowable

### Inherited from NoStackTrace

### Inherited from java.lang.Throwable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped